A WordPress-centric search engine for devs and theme authors



option_page_capability_{$option_page} ›

Since3.2.0
Deprecatedn/a
apply_filters( "option_page_capability_{$option_page}", $capability )
Parameters:
  • (string) $capability The capability used for the page, which is manage_options by default.
    Required: Yes
Defined at:
Codex:

Filters the capability required when using the Settings API.

By default, the options groups for all registered settings require the manage_options capability. This filter is required to change the capability required for a certain options page.





Source

$capability = apply_filters( "option_page_capability_{$option_page}", $capability );